# -*- coding: ISO-8859-15 -*-
# Copyright (c) 2004 Nuxeo SARL <http://nuxeo.com>
# Copyright (c) 2004 CGEY <http://cgey.com>
# Copyright (c) 2004 Ministre de L'intrieur (MISILL)
#               <http://www.interieur.gouv.fr/>
# Author: Julien Anguenot <ja@nuxeo.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: InComingMailFolder.py,v 1.2 2004/05/07 12:18:20 anguenot Exp $

__author__ = "Julien Anguenot <ja@nuxeo.com>"

""" Incoming MailFolder class

InComingMailFolder class implements the Incoming mail folder content type.
"""

from Globals import InitializeClass
from AccessControl import ClassSecurityInfo

from Products.CPSCore.CPSBase import CPSBase_adder

from BaseMailFolder import BaseMailFolder

class InComingMailFolder(BaseMailFolder):
    """InComing Mail Folder Class
    """

    meta_type = 'InComingMailFolder'
    portal_type = meta_type

    security = ClassSecurityInfo()

    def __init__(self, id, **kw):
        """InComingMailFolder constructor

        Call the parent constructor and
        then give this content type a given workflow
        """
        BaseMailFolder.__init__(self, id, **kw)
        self.workflow_id = 'in_coming_mail_folder_wf'

InitializeClass(InComingMailFolder)

def addInComingMailFolder(container, id, REQUEST=None, **kw):
    """Add an InComingMailFolder.
    """
    #
    # We need the creator to init the pilote n1 in the constructor
    #
    pm = container.portal_membership
    current_member_id = pm.getAuthenticatedMember().getMemberId()
    kw['current_member_id'] = current_member_id

    ob = InComingMailFolder(id, **kw)
    return CPSBase_adder(container, ob, REQUEST=REQUEST)

