# -*- coding: ISO-8859-15 -*-
# Copyright (c) 2004 Nuxeo SARL <http://nuxeo.com>
# Copyright (c) 2004 CGEY <http://cgey.com>
# Copyright (c) 2004 Ministre de L'intrieur (MISILL)
#               <http://www.interieur.gouv.fr/>
# Author : Julien Anguenot <ja@nuxeo.com>

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
# $Id: __init__.py,v 1.2 2004/05/07 12:18:20 anguenot Exp $

__author__ = "Julien Anguenot <mailto:ja@nuxeo.com>"

"""CPSMailManager product

CPSMailManager is a CPS3 Product providing a mail manager system.
See the SRS on http://seine.nuxeo.com:8980/cps and the docs within
the docs sub-directory of this product.
"""

from Products.CMFCore.utils import ContentInit
from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore.CMFCorePermissions import AddPortalContent

import AllowModules
import RootMailFolder
import MailManagerWidgets

import InComingMailFolder
import SpontaneousMailFolder


contentClasses = ( InComingMailFolder.InComingMailFolder,
                   SpontaneousMailFolder.SpontaneousMailFolder,
                   RootMailFolder.RootMailFolder,
                   )


contentConstructors = ( InComingMailFolder.addInComingMailFolder,
                        SpontaneousMailFolder.addSpontaneousMailFolder,
                        RootMailFolder.addRootMailFolder,
                        )
fti = ( () \
        + () \
        + RootMailFolder.factory_type_information \
        + () )

registerDirectory('skins/', globals())

def initialize(context):
    """
    Registering the content of the module
    """
    #
    # Registering content classes :
    #
    ContentInit(
        'CPS Mail Manager',
        content_types = contentClasses,
        permission = AddPortalContent,
        extra_constructors = contentConstructors,
        fti = fti,
        ).initialize(context)
