## Script (Python) "getMailFolderLayouts"
##parameters=
# $Id: getMailFolderLayouts.py,v 1.2 2004/05/06 15:36:33 anguenot Exp $
"""Return mail folder related layouts."""

commun_mail_folder_metadata_layout = {
    'widgets': {
        'subject': {
            'type': 'String Widget',
            'data': {
                'title': '',
                'fields': ['subject'],
                'is_required': 0,
                'label': '_label_mail_theasurus_key_words',
                'label_edit': '_label_mail_theasurus_key_words ',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        'identifier': {
            'type': 'String Widget',
            'data': {
                'title': 'AUTO + NM',
                'fields': ['identifier'],
                'is_required': 1,
                'label': '_label_identifier',
                'label_edit': '_label_identifier',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': ['edit', 'create'],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        'date_created': {
            'type': 'DateTime Widget',
            'data': {
                'title': 'AUTO + NM',
                'fields': ['date_created'],
                'is_required': 1,
                'label': '_label_date_created',
                'label_edit': '_label_date_created',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': ['create', 'edit'],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'view_format': 'medium',
                'time_setting': 1,
            },
        },
        'to_ministery': {
            'type': 'Select Widget',
            'data': {
                'title': 'AUTO + M',
                'fields': ['mail_to'],
                'is_required': 1,
                'label': '_label_mail_to_ministery',
                'label_edit': '_label_mail_to_ministery',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'vocabulary': 'mail_folder_list_ministery',
            },
        },
        'free_subject': {
            'type': 'String Widget',
            'data': {
                'title': '',
                'fields': ['free_subject'],
                'is_required': 0,
                'label': '_label_mail_free_key_words',
                'label_edit': '_label_mail_free_key_words',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        'coverage': {
            'type': 'String Widget',
            'data': {
                'title': '',
                'fields': ['coverage'],
                'is_required': 0,
                'label': '_label_coverage',
                'label_edit': '_label_coverage',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        'date_valid': {
            'type': 'Select Widget',
            'data': {
                'title': 'AUTO + M',
                'fields': ['date_valid'],
                'is_required': 1,
                'label': '_label_mail_archived_after',
                'label_edit': '_label_mail_archived_after',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'vocabulary': 'mail_folder_archived_field',
            },
        },
        'how_important': {
            'type': 'Select Widget',
            'data': {
                'title': 'AUTO + M',
                'fields': ['how_important'],
                'is_required': 1,
                'label': '_label_mail_how_important',
                'label_edit': '_label_mail_how_important',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'vocabulary': 'mail_folder_important_field',
            },
        },
        'all_pilots': {
            'type': 'Mail Manager User List Widget',
            'data': {
                'title': 'AUTO + NM',
                'fields': ['all_pilots'],
                'is_required': 0,
                'label': 'label_pilots',
                'label_edit': 'label_pilots',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': ['edit', 'create', 'edit_metadata'],
                'hidden_layout_modes': ['create'],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'width': 30,
                'height': 5,
                'format_empty': '',
            },
        },
        'last_signature': {
            'type': 'Select Widget',
            'data': {
                'title': 'AUTO + M',
                'fields': ['last_signature'],
                'is_required': 1,
                'label': '_label_mail_last_signature',
                'label_edit': '_label_mail_last_signature',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'vocabulary': 'mail_folder_last_signature',
            },
        },
        'title': {
            'type': 'String Widget',
            'data': {
                'title': 'Title',
                'fields': ['title'],
                'is_required': 1,
                'label': '_label_mail_title',
                'label_edit': '_label_mail_title',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        'contributors': {
            'type': 'Mail Manager User List Widget',
            'data': {
                'title': 'AUTO + NM',
                'fields': ['contributors'],
                'is_required': 0,
                'label': '_label_contributor',
                'label_edit': '_label_contributor',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': ['edit', 'create', 'edit_metadata'],
                'hidden_layout_modes': ['create'],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'width': 30,
                'height': 5,
                'format_empty': '',
            },
        },
        'description': {
            'type': 'Lines Widget',
            'data': {
                'title': '',
                'fields': ['description'],
                'is_required': 0,
                'label': '_label_mail_description',
                'label_edit': '_label_mail_description',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'width': 30,
                'height': 5,
                'format_empty': '',
            },
        },
    },
    'layout': {
        'style_prefix': 'layout_mailfolder_',
        'flexible_widgets': [],
        'ncols': 2,
        'rows': [
            [{'ncols': 1, 'widget_id': 'title'},
                            {'ncols': 1, 'widget_id': 'to_ministery'},
                ],
            [{'ncols': 1, 'widget_id': 'description'},
                            {'ncols': 1, 'widget_id': 'how_important'},
                ],
            [{'ncols': 1, 'widget_id': 'coverage'},
                            {'ncols': 1, 'widget_id': 'last_signature'},
                ],
            [{'ncols': 1, 'widget_id': 'subject'},
                            {'ncols': 1, 'widget_id': 'date_valid'},
                ],
            [{'ncols': 2, 'widget_id': 'free_subject'},
                ],
            [{'ncols': 1, 'widget_id': 'contributors'},
                            {'ncols': 1, 'widget_id': 'all_pilots'},
                ],
            ],
        },
    }


in_coming_mail_folder_metadata_layout = {
    'widgets': {
        'recipient_name': {
            'type': 'String Widget',
            'data': {
                'title': 'Recipient Name',
                'fields': ['recipient_name'],
                'is_required': 1,
                'label': 'label_incoming_mailfolder_recipient_name',
                'label_edit': 'label_incoming_mailfolder_recipient_name',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        'sender_type': {
            'type': 'Mail Manager Sender Type Widget',
            'data': {
                'title': 'Sender Type',
                'fields': ['sender_type'],
                'is_required': 1,
                'label': 'label_incoming_mailfolder_sender_type',
                'label_edit': 'label_incoming_mailfolder_sender_type',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'vocabulary': 'in_coming_mail_folder_sender_type',
                'destination_field': 'sender_name',
            },
        },
        'sender_name': {
            'type': 'String Widget',
            'data': {
                'title': 'Sender Name',
                'fields': ['sender_name'],
                'is_required': 1,
                'label': 'label_incoming_mailfolder_sender_name',
                'label_edit': 'label_incoming_mailfolder_sender_name',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        'dgcl_reception': {
            'type': 'DateTime Widget',
            'data': {
                'title': 'Reception date',
                'fields': ['dgcl_reception'],
                'is_required': 1,
                'label': 'label_incoming_mailfolder_dgcl_reception',
                'label_edit': 'label_incoming_mailfolder_dgcl_reception',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'view_format': 'medium',
                'time_setting': 1,
            },
        },
        'recipient_type': {
            'type': 'Mail Manager Recipient Type Widget',
            'data': {
                'title': 'Recipient Type',
                'fields': ['recipient_type'],
                'is_required': 1,
                'label': 'label_incoming_mailfolder_recipient_type',
                'label_edit': 'label_incoming_mailfolder_recipient_type',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'vocabulary': 'in_coming_mail_folder_recipient_type',
                'destination_field': 'recipient_name',
            },
        },
        'in_coming_doc': {
            'type': 'Select Widget',
            'data': {
                'title': 'Incoming document',
                'fields': ['in_coming_doc'],
                'is_required': 1,
                'label': 'label_incoming_mailfolder_in_coming_doc',
                'label_edit': 'label_incoming_mailfolder_in_coming_doc',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'vocabulary': 'in_coming_mail_folder_type',
            },
        },
        'out_going_doc': {
            'type': 'Select Widget',
            'data': {
                'title': 'Outgoing document',
                'fields': ['out_going_doc'],
                'is_required': 1,
                'label': 'label_incoming_mailfolder_out_hoing_doc',
                'label_edit': 'label_incoming_mailfolder_out_hoing_doc',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'vocabulary': 'in_coming_mail_folder_outgoing_type',
            },
        },
        'delay': {
            'type': 'Int Widget',
            'data': {
                'title': 'Delay',
                'fields': ['delay'],
                'is_required': 1,
                'label': 'label_incoming_mailfolder_delay',
                'label_edit': 'label_incoming_mailfolder_delay',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'is_limited': 0,
                'min_value': 0.0,
                'max_value': 0.0,
                'thousands_separator': '',
            },
        },
    },
    'layout': {
        'style_prefix': 'layout_mailfolder_',
        'flexible_widgets': [],
        'ncols': 2,
        'rows': [
            [{'ncols': 1, 'widget_id': 'sender_type'},
                            {'ncols': 1, 'widget_id': 'sender_name'},
                ],
            [{'ncols': 1, 'widget_id': 'in_coming_doc'},
                            {'ncols': 1, 'widget_id': 'out_going_doc'},
                ],
            [{'ncols': 2, 'widget_id': 'dgcl_reception'},
                ],
            [{'ncols': 2, 'widget_id': 'delay'},
                ],
            ],
        },
    }



spontaneous_mail_folder_metadata_layout = {
    'widgets': {
        'recipient_name': {
            'type': 'String Widget',
            'data': {
                'title': 'Recipient Name',
                'fields': ['recipient_name'],
                'is_required': 1,
                'label': 'label_spontaneous_mailfolder_recipient_name',
                'label_edit': 'label_spontaneous_mailfolder_recipient_name',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        'sender_type': {
            'type': 'Mail Manager Sender Type Widget',
            'data': {
                'title': 'Sender Type',
                'fields': ['sender_type'],
                'is_required': 1,
                'label': 'label_incoming_mailfolder_sender_type',
                'label_edit': 'label_incoming_mailfolder_sender_type',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'vocabulary': 'spontaneous_mail_folder_sender_type',
                'destination_field': 'sender_name',
            },
        },
        'sender_name': {
            'type': 'String Widget',
            'data': {
                'title': 'Sender Name',
                'fields': ['sender_name'],
                'is_required': 1,
                'label': 'label_spontaneous_mailfolder_sender_name',
                'label_edit': 'label_spontaneous_mailfolder_sender_name',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        'recipient_type': {
            'type': 'Mail Manager Recipient Type Widget',
            'data': {
                'title': 'Recipient Type',
                'fields': ['recipient_type'],
                'is_required': 1,
                'label': 'label_incoming_mailfolder_recipient_type',
                'label_edit': 'label_incoming_mailfolder_recipient_type',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'vocabulary': 'spontaneous_mail_folder_recipient_type',
                'destination_field': 'recipient_name',
            },
        },
        'outgoing_type': {
            'type': 'Select Widget',
            'data': {
                'title': 'outgoing type',
                'fields': ['outgoing_type'],
                'is_required': 1,
                'label': 'label_spontaneous_mailfolder_outgoing_type',
                'label_edit': 'label_spontaneous_mailfolder_outgoing_type',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'vocabulary': 'spontaneous_mail_folder_outgoing_type',
            },
        },
        'delay': {
            'type': 'String Widget',
            'data': {
                'title': 'Delay',
                'fields': ['delay'],
                'is_required': 0,
                'label': 'label_sponteanous_mailfolder_delay',
                'label_edit': 'label_sponteanous_mailfolder_delay',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'display_width': 20,
                'size_max': 0,
            },
            },
    },
    'layout': {
        'style_prefix': 'layout_mailfolder_',
        'flexible_widgets': [],
        'ncols': 2,
        'rows': [
            [{'ncols': 1, 'widget_id': 'sender_type'},
                            {'ncols': 1, 'widget_id': 'recipient_type'},
                ],
            [{'ncols': 1, 'widget_id': 'sender_name'},
                            {'ncols': 1, 'widget_id': 'recipient_name'},
                ],
            [{'ncols': 1, 'widget_id': 'outgoing_type'},
                            {'ncols': 1, 'widget_id': 'delay'},
                ],
            ],
        },
    }


mail_folder_layouts = {}
mail_folder_layouts['commun_mail_folder_metadata'] = commun_mail_folder_metadata_layout
mail_folder_layouts['in_coming_mail_folder_metadata'] = in_coming_mail_folder_metadata_layout
mail_folder_layouts['spontaneous_mail_folder_metadata'] = spontaneous_mail_folder_metadata_layout
return mail_folder_layouts
