## Script (Python) "getMailLayouts"
##parameters=
# $Id: getMailLayouts.py,v 1.3 2004/03/17 19:58:23 anguenot Exp $
"""Return mail content type layouts."""

mail_common_metadata_layout = {
    'widgets': {
        'title': {
            'type': 'String Widget',
            'data': {
                'title': 'Titre',
                'fields': ['title'],
                'is_required': 1,
                'label': 'label_mail_title',
                'label_edit': 'label_mail_title',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        'description': {
            'type': 'TextArea Widget',
            'data': {
                'title': 'Description ',
                'fields': ['description'],
                'is_required': 0,
                'label': 'label_mail_description',
                'label_edit': 'label_mail_description',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': [],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'width': 40,
                'height': 5,
                'render_format': 'text',
            },
        },
        'date_created': {
            'type': 'DateTime Widget',
            'data': {
                'title': 'Creation date',
                'fields': ['date_created'],
                'is_required': 1,
                'label': 'label_date_creation',
                'label_edit': 'label_date_creation',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': ['create', 'edit', 'edit_metadata', 'view'],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'view_format': 'medium',
                'time_setting': 1,
            },
        },
        'date_modified': {
            'type': 'DateTime Widget',
            'data': {
                'title': '',
                'fields': ['date_modified'],
                'is_required': 1,
                'label': 'label_date_modified',
                'label_edit': 'label_date_modified',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': ['create', 'edit', 'edit_metadata', 'view'],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'view_format': 'medium',
                'time_setting': 1,
            },
        },
        'format': {
            'type': 'Select Widget',
            'data': {
                'title': 'Format',
                'fields': ['format'],
                'is_required': 1,
                'label': 'label_mail_format',
                'label_edit': 'label_mail_format',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': ['view', 'edit'],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'vocabulary': 'format',
            },
        },
        'date': {
            'type': 'DateTime Widget',
            'data': {
                'title': 'mis le ',
                'fields': ['date'],
                'is_required': 0,
                'label': 'label_mail_issue_date',
                'label_edit': 'label_mail_issue_date',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': ['view', 'edit',],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'view_format': 'medium',
                'time_setting': 1,
            },
        },
        'reference': {
            'type': 'String Widget',
            'data': {
                'title': '',
                'fields': ['reference'],
                'is_required': 0,
                'label': 'label_mail_reference',
                'label_edit': 'label_mail_reference',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': ['view', 'edit'],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        'relation_requires': {
            'type': 'String Widget',
            'data': {
                'title': '',
                'fields': ['relation_requires'],
                'is_required': 0,
                'label': 'label_mail_relation_requires',
                'label_edit': 'label_mail_relation_requires',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': ['view', 'edit'],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        'relation_conforms_to': {
            'type': 'String Widget',
            'data': {
                'title': '',
                'fields': ['relation_conforms_to'],
                'is_required': 0,
                'label': 'label_mail_conforms_to',
                'label_edit': 'label_mail_conforms_to',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': ['view', 'edit'],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        'is_referenced_by': {
            'type': 'String Widget',
            'data': {
                'title': '',
                'fields': ['is_referenced_by'],
                'is_required': 0,
                'label': 'label_mail_is_referenced_by',
                'label_edit': 'label_mail_is_referenced_by',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': ['view', 'edit'],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        'language': {
            'type': 'Select Widget',
            'data': {
                'title': 'Language',
                'fields': ['language'],
                'is_required': 0,
                'label': 'label_mail_language',
                'label_edit': 'label_mail_language',
                'description': '',
                'help': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': ['view', 'edit'],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'vocabulary': 'languages',
            },
        },
    },
    'layout': {
        'style_prefix': 'layout_mail_',
        'flexible_widgets': [],
        'ncols': 2,
        'rows': [
            [{'ncols': 2, 'widget_id': 'title'},
             ],
            [{'ncols': 2, 'widget_id': 'description'},
                ],
            [{'ncols': 1, 'widget_id': 'format'},
                            {'ncols': 1, 'widget_id': 'language'},
                ],
            [{'ncols': 1, 'widget_id': 'date_created'},
                            {'ncols': 1, 'widget_id': 'date_modified'},
                ],
            [{'ncols': 1, 'widget_id': 'reference'},
                            {'ncols': 1, 'widget_id': 'is_referenced_by'},
                ],
            [{'ncols': 1, 'widget_id': 'relation_requires'},
                            {'ncols': 1, 'widget_id': 'relation_conforms_to'},
                ],
            [{'ncols': 2, 'widget_id': 'date'},
             ],
            ],
        },
    }

mail_flexible_content_layout = {
    'widgets': {
        'attachedFile': {
            'type': 'AttachedFile Widget',
            'data': {
                'title': 'cpsdoc_flex_attachedFile_title',
                'fields': ['?'],
                'is_required': 0,
                'label': '',
                'label_edit': 'cpsdoc_flex_attachedFile_label_edit',
                'description': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': ['view_metadata', 'edit_metadata'],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 1,
                'css_class': 'dflush',
                'deletable': 1,
                'size_max': 3145728,
            },
        },
        'content': {
            'type': 'Text Widget',
            'data': {
                'title': 'cpsdoc_flex_content_title',
                'fields': ['content', 'content_format', 'content_position'],
                'is_required': 0,
                'label': '',
                'label_edit': 'cpsdoc_flex_content_label_edit',
                'description': '',
                'is_i18n': 1,
                'readonly_layout_modes': [],
                'hidden_layout_modes': ['view_metadata', 'edit_metadata'],
                'hidden_readonly_layout_modes': [],
                'hidden_empty': 0,
                'css_class': 'dcontent',
                'width': 72,
                'height': 15,
                'render_position': 'normal',
                'render_format': 'html',
                'configurable': 'nothing',
            },
        },
#        'photo': {
#            'type': 'Photo Widget',
#            'data': {
#                'title': 'cpsdoc_flex_photo_title',
#                'fields': ['?'],
#                'is_i18n': 1,
#                'label_edit': 'cpsdoc_flex_photo_label_edit',
#                'configurable': 'position',
#                'hidden_layout_modes': ['view_metadata', 'edit_metadata'],
#                'display_width': 320,
#                'display_height': 200,
#                'size_max': 2*1024*1024,
#                'allow_resize': 1,
#                },
#            },
        },
    'layout': {
    'style_prefix': 'layout_mail_',
    'flexible_widgets': 'content:15 attachedFile:5',
        'ncols': 1,
        'rows': [
            ],
    },
}
mail_layouts = {}
mail_layouts['mail_common_metadata']  = mail_common_metadata_layout
mail_layouts['mail_flexible_content'] = mail_flexible_content_layout

return mail_layouts

