##parameters=
"""
Do the necessary rendering or redirection after an object has been
successfully created and filled with the initial values by the user.
In CPS, context is a proxy.
May return a rendered document, or do a redirect.
"""
# $Id: mailfolder_created.py,v 1.1.1.1 2004/03/12 10:33:34 anguenot Exp $

from urllib import urlencode

#
# Metadata after creation initialization
# Set identifier
# Adding a the creator as contributor/pilots
#

context.getContent().setIdentifier(context)
context.getContent().addContributor(context.Creator(), context)
context.getContent().addPilot(context.Creator(), context)

#
# If we are in the case of an InComingMailFolder content type
# we'll create the in coming flex type and the redirect the user
# to edit this document and thus adding the attached file document
#

if context.portal_type == "InComingMailFolder":
    type_name = "mail_document"
    incoming_docid = context.getInComingMailTypeId()
    incoming_doc = None
    if not getattr(context, incoming_docid, 0):
        context.invokeFactory(type_name, incoming_docid)
    incoming_doc = getattr(context, incoming_docid)
    if incoming_doc is not None:
        context.REQUEST.RESPONSE.redirect('%s/%s/mailtype_edit_metadata_form?creation=1' %
                                          (context.absolute_url(),
                                           incoming_doc.id,
                                           ))
    return

#
# In the case of the SpontaneousMailFolder we're creating
# straight the out going document.
# The initial state is then writing.
#

elif context.portal_type == "SpontaneousMailFolder":
    type_name = "mail_document"
    outgoing_docid = context.getOutGoingMailTypeId()
    outgoing_doc = None
    if not getattr(context, outgoing_docid, 0):
        context.invokeFactory(type_name, outgoing_docid)
    outgoing_doc = getattr(context, outgoing_docid)
    if outgoing_doc is not None:
        context.REQUEST.RESPONSE.redirect('%s/%s/mailtype_edit_metadata_form?creation=1' %
                                          (context.absolute_url(),
                                           outgoing_doc.id,
                                           ))
    return

else:
    # Simply redirecting to the content type.
    psm = 'psm_content_created'
    action_path = context.getTypeInfo().immediate_view
    context.REQUEST.RESPONSE.redirect('%s/%s?portal_status_message=%s' %
                                      (context.absolute_url(), action_path, psm))
    return
