##parameters=
# $Id: getActorInstructions.py,v 1.1.1.1 2004/03/12 10:33:34 anguenot Exp $
"""Returns an instruction sentence according to the actor roles.
"""

member = context.portal_membership.getAuthenticatedMember()
review_state = context.portal_workflow.getInfoFor(context, 'review_state')

if review_state == 'closed':
    return ''

mcat = context.Localizer.default

def mcat_iso(str):
    """Iso encoding
    """
    return mcat(str).encode("ISO-8859-15", 'ignore')

if member.has_role(['Owner', 'WorkspaceManager'], context):
    if review_state not in ['writing', 'validating']:
        return mcat_iso('label_pilot_instruction_assigning')
    else:
        return mcat_iso('label_pilot_instruction_validating')
elif member.has_role(['WorkspaceMember'], context):
        return mcat_iso('label_associate_instruction')
elif member.has_role(['WorkspaceReader'], context):
    return mcat_iso('label_watcher_instruction')
