##parameters=role_to_display, sort_order, sort_criteria
#$Id: getPeopleList.py,v 1.1.1.1 2004/03/12 10:33:34 anguenot Exp $
"""Returns a list of people sorted against the given parameters
"""

review_state = context.portal_workflow.getInfoFor(context, 'review_state')

#
# Finding the right persons
#

if role_to_display == 'pilots':
    list = context.getContent().getPilots(level='all')
    tmp = []
    for level in list.keys():
        for pilot in list[level]:
            tmp.append({'id':pilot,
                        'level':level,
                        'role':'pilot'} )
    list = tmp
elif role_to_display == 'pre_pilots':
    list = context.getContent().getPrePilots(level='all')
    tmp = []
    for level in list.keys():
        for pilot in list[level]:
            stupid = 1
            if review_state in ['validating']:
                if pilot in context.getContent().getAssociates():
                    stupid = 0
            if stupid:
                tmp.append({'id':pilot,
                            'level':level,
                            'role':'pre_pilot'})
    list = tmp
elif role_to_display == 'associates':
    list = context.getContent().getAssociates()
    tmp = []
    for associate in list:
            tmp.append({'id':associate,
                        'level':'',
                        'role':'associate'})
    list = tmp
elif role_to_display == 'watchers':
    list = context.getContent().getWatchers()
    tmp = []
    for watcher in list:
            tmp.append({'id':watcher,
                        'level':'',
                        'role':'watcher'})
    list = tmp
else:
    list = []

#
# Applying sort_criteria
#

def guido_sort(l, sorting_criteria):
    """Sorting
    """
    if sorting_criteria == "level":
        tmp = [(i['level'], i) for i in l]
    else:
        tmp = [(context.getEntryFromDirectories(i['id']).get(sorting_criteria, ''), i) for i in l]
    tmp.sort()
    return [i for (dummy, i) in tmp]

if sort_criteria:
    list = guido_sort(list, sort_criteria)

#
# Order
#

if sort_order == 'desc':
        list.reverse()

return list




