##parameters=level
# $Id: getPictoForLevel.py,v 1.1.1.1 2004/03/12 10:33:34 anguenot Exp $

"""Returns the picto according to the last action realized by pilots on
the workflow at a given level.
"""

from zLOG import LOG, DEBUG

doc = context.getContent()

pictos_src = ['ico_checkbox_blue_ok.gif',
              'ico_checkbox_empty.gif',
              'ico_checkbox_orange.gif',
              ]

pt_picto = ''

history = context.portal_workflow.getInfoFor(context, 'review_history')
review_state = context.portal_workflow.getInfoFor(context, 'review_state')
current_level = doc.getCurrentLevel()

all_pilots = doc.getPilotMemberIds(level=level) + doc.getPrePilotMemberIds(level=level)

for op in history:
    for member_id in all_pilots:
        if op['actor'] == member_id:
            if op['action'] in ['reject_validate'] and \
                   review_state not in ['assigning', 'writing'] and \
                   level < current_level:
                return pictos_src[2]
            elif op['action'] in ['reject'] and \
                     review_state in ['waiting', 'assigning'] and \
                     level > current_level:
                return pictos_src[2]
if pt_picto != '':
    return pt_picto
else:
    if review_state in ['waiting', 'assigning']:
        if level >= current_level:
            pt_picto = pictos_src[1]
        else:
            pt_picto = pictos_src[0]
    elif review_state in ['closed']:
        history.reverse()
        former_state = history[1]['review_state']
        if former_state in ['waiting', 'assigning']:
            if level >= current_level:
                pt_picto = pictos_src[1]
            else:
                pt_picto = pictos_src[0]
        else:
            if level < current_level:
                pt_picto = pictos_src[1]
            else:
               pt_picto = pictos_src[0]
    else:
        if level < current_level:
            pt_picto = pictos_src[1]
        else:
            pt_picto = pictos_src[0]
return pt_picto
