##parameters=l=[], sorting_flag=None, sort_order='asc'
#$Id: sortMailFolderProxyList.py,v 1.1.1.1 2004/03/12 10:33:34 anguenot Exp $
"""Sorting the mail folder list given a sorting_flag.
"""

wftool = context.portal_workflow

def order_roles(roles):
    """Gives an order of roles for being able to sort them
    """
    index = 4
    for role in roles:
        if role.startswith('P'):
            return 1
        elif role == 'Associate':
            index = 2
        elif role == 'Watcher':
            index = 3
    return index

def order_review_state(review_state):
    """Gives an order  for review_state for being able to sort them
    """
    review_states = ['waiting', 'assigning', 'writing', 'validating', 'closed']
    return review_states.index(review_state)

def guido_sort(l, sorting_flag):
    """Sorting
    """
    if sorting_flag == 'creator':
        tmp = []
        for i in l:
            pilots = i.getContent().getPilots(level=i.getContent().getCurrentLevel())
            first_pilot = pilots[0]
            pilot = context.getEntryFromDirectories(first_pilot)
            fullname = pilot.get('givenName', '') + ' ' + pilot.get('sn', '')
            if fullname == ' ':
                fullname = first_pilot
            tmp.append((fullname.lower(), i))
    elif sorting_flag == 'date_created':
        # Ids are incremented one by one
        tmp = [(i.getContent().identifier, i) for i in l]
    elif sorting_flag == 'sender_name':
        tmp = [(i.getContent().sender_name.strip()[0].lower(), i) for i in l]
    elif sorting_flag == 'delay':
        tmp = []
        for i in l:
            try:
                d = int(i.getContent().delay)
            except ValueError:
                # No delay
                tmp.append((1000000, i))
            else:
                tmp.append((d, i))
    elif sorting_flag in ['roles', 'action']:
        tmp = [(order_roles(i.getContent().getCurrentMemberRoles()), i) for i in l]
    elif sorting_flag == 'review_state':
        tmp = [(order_review_state(wftool.getInfoFor(i, 'review_state')), i) for i in l]
    else:
        tmp = [(i.getContent()[sorting_flag], i) for i in l]
    tmp.sort()
    if sort_order == 'desc':
        tmp.reverse()
    return [i for (dummy, i) in tmp]

if sorting_flag:
    l = guido_sort(l, sorting_flag)
return l
