##parameters=descendants=(), post_id='', comment_mode=0, REQUEST=None

# $id$

#counter counts the message position in thread
#forum will exist only when comment_mode is true

from zLOG import LOG,DEBUG
from ZTUtils import make_query

FORUM_POST_FORM = REQUEST.get('FORUM_POST_FORM')
FORUM_VIEW_THREAD = REQUEST.get('FORUM_VIEW_THREAD')

pmt = context.portal_membership
is_reviewer = 'ForumModerator' in pmt.getCPSCandidateLocalRoles(context)
username = pmt.getAuthenticatedMember().getId()
session_data = context.session_data_manager.getSessionData()

def getHeadline(post, style=''):
    if comment_mode:
        #if viewing forum as document inline comments,
        #the proper parameter name to give to cpsdocument_view
        #is comment_id
        param_name = 'comment_id'
    else:
        #if viewing standard forum, the proper parameter name
        #to give to the forum is post_id
        param_name = 'post_id'
    headline = '<span><strong>%s</strong></span>' % (
        post['subject'],)
    if style != 'collapsed':
        headline += "<br/><br/>%s<br/><br/>" % post['message']
        headline += '<a class="lkTableContent" href ="%s/%s?%s&FORUM_POST_FORM=%s"><span i18n:translate="label_mail_forum_reply">Reply</span></a><br/><br/>' % (context.absolute_url(), FORUM_POST_FORM, make_query(parent_id=post['id'], comment_mode=comment_mode), FORUM_POST_FORM)
    return headline

def getTreeIcon(post, style):
    if style == 'collapsed':
        tree_icon = 'pl'
        label = 'Expand'
        style = 'expanded'
    else:
        tree_icon = 'mi'
        label = 'Collapse'
        style = 'collapsed'

    result = '<a href="%s/mail_branch_set?post_id=%s&FORUM_VIEW_THREAD=%s&FORUM_POST_FORM=%s;action=%s;mode=%s">' % \
            (context.absolute_url(), post['id'], FORUM_VIEW_THREAD, FORUM_POST_FORM, style, comment_mode)
    result += '<img src="/p_/%s" align="center" border=0 alt="%s" height="16" width="16"></a>\n' % \
            ( tree_icon, label)
    return result

def getStatusIcon(post):
    if not post['published']:
        #  TODO: Translate
        return '<img src="%s" width=6 height=6 align="mid" alt="Non publi"/>' % (
            getattr(context, 'puce.gif').absolute_url())
    return '<img src="/p_/sp" width=6 height=6 alt=""/>'

def getBranches(branches, id='ROOT', level=0, counter=0):
    if not len(branches):
        return ("",counter)

    result = ''
    for branch in branches:
        post = branch[0]

        if comment_mode or post['published'] or is_reviewer or username == post['author']:
            counter += 1

            if counter%2:
                row_class = 'txtTableCommentaire'
            else:
                row_class = 'txtTableCommentaire2'

            result += '<tr id="thread_%s" class="%s">' % \
                      (post['id'], row_class)

            style = session_data.get('post_' + str(post['id']), None)
            if style <> 'collapsed':
                more, counter = getBranches(branch[1], post['id'],
                                            level+1, counter)
            else:
                more, counter = ' ', 0

            indent = 5 * min(level, 7)
            if comment_mode:
                #review buttons (checkbox and status) are shown
                #only in std forum mode, not in comments mode
                result += '<td><input type="checkbox" name="forum_thread_ids:list" value="%s" /></td>\n' % post['id']
                result += '<td><img src="/p_/sp" width=6 height=6 alt="" /></td>\n'
            elif is_reviewer:
                result += '<td><input type="checkbox" name="forum_thread_ids:list" value="%s" /></td>\n' % post['id']
                result += '<td>%s</td>\n' % getStatusIcon(post)
            else:
                result += '<td>&nbsp;</td>\n'
                result += '<td>%s</td>\n' % getStatusIcon(post)
            result += '<td><img src="/p_/sp" alt="" height=12 width=%s>' % str(indent+1)
            if(more):
                result += getTreeIcon(post, style)
            else:
                result += '<img align="center" src="/p_/sp" height="16" width="16" alt="" border="0">'

            result += getHeadline(post, style=style)

            fullname = context.getPosterName(post['author'])
            dirname='members'
            fullname = context.getPosterName(post['author'])
            tmp=context.findUsers(criteria='ids',value=([post['author']],[]),result_type='user')
            if tmp and tmp[0] and tmp[0][1]:
                fullname=str(tmp[0][1]['sn']+' '+tmp[0][1]['givenName']) or info['creator']
                dirname = tmp[0][1]['directory'] 
            result += '</td>\n<td>%s&nbsp;</td>' % fullname

            ptime = post['modified'].strftime('%d/%m/%y %H:%M')
            result += '\n<td>%s</td>' % ptime
            result += '</tr>\n\n'
            result += more

    return (result, counter)

(result, dummy) = getBranches(descendants)

return result
