from Testing import ZopeTestCase
from Products.ExternalMethod.ExternalMethod import ExternalMethod
from Products.CPSDefault.tests import CPSTestCase

ZopeTestCase.installProduct('CPSSubscriptions')
ZopeTestCase.installProduct('MisillWorkflowEngine')
ZopeTestCase.installProduct('CPSMailManager')

CPSMailManagerTestCase = CPSTestCase.CPSTestCase

class CPSMailManagerInstaller(CPSTestCase.CPSInstaller):
    def addPortal(self, id):
        """Override the Default addPortal method installing
        a Default CPS Site.

        Will launch the external method for CPSSubscriptions too.
        """

        # CPS Default Site
        factory = self.app.manage_addProduct['CPSDefault']
        factory.manage_addCPSDefaultSite(id,
                                         root_password1="passwd",
                                         root_password2="passwd",
                                         langs_list=['fr', 'en'])

        portal = getattr(self.app, id)

        # Install the CPSSubscriptions product
        if 'cpssubscriptions_installer' not in portal.objectIds():
            cpssubscriptions_installer = ExternalMethod('cpsubscriptions_installer',
                                                        '',
                                                        'CPSSubscriptions.install',
                                                        'install')
            portal._setObject('cpssubscriptions_installer', cpssubscriptions_installer)
        portal.cpssubscriptions_installer()

        # Install the CPSMailManager product
        cpsmailmanager_installer = ExternalMethod('cpsmailmanager_installer',
                                                    '',
                                                    'CPSMailManager.install',
                                                    'install')
        portal._setObject('cpsmailmanager_installer', cpsmailmanager_installer)
        portal.cpsmailmanager_installer()

CPSTestCase.setupPortal(PortalInstaller=CPSMailManagerInstaller)

