# -*- coding: ISO-8859-15 -*-
# (C) Copyright 2004 Nuxeo SARL <http://nuxeo.com>
# Author: Julien Anguenot <ja@nuxeo.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: install.py,v 1.2 2004/05/07 12:11:18 anguenot Exp $

"""
MisillWorkflowEngin Installer

HOWTO USE THAT ?

 - Log into the ZMI as manager
 - Go to your CPS root directory
 - Create an External Method with the following parameters:

     id    : MisillWorkflowEngine INSTALLER (or whatever)
     title : MisillWorkflowEngine INSTALLER (or whatever)
     Module Name   :  MisillWorkflowEngine.install
     Function Name : install
 - save it
 - click now the test tab of this external method.
"""

import sys, os

__author__ = "Julien Anguenot <ja@nuxeo.com>"

from Products.CPSInstaller.CPSInstaller import CPSInstaller

SECTIONS_ID = 'sections'
WORKSPACES_ID = 'workspaces'

class MisillWorkflowEngineInstaller(CPSInstaller):
    """Misill Workflow engine installer class definition
    """
    product_name = 'MisillWorkflowEngine'

    def install(self):
        """Main call
        """
        self.log("Starting MisillWorkflowEngine specific install")
        self.installWorkflows()
        self.log("End of MisillWorkflowEngine install")

    def installWorkflows(self):
        """Install the workflow
        """

        # InComingMailFolder workflow
        from Products.MisillWorkflowEngine.Workflows.InComingMailFolderWorkflow import \
             in_coming_mailfolder_wf_install
        in_coming_mailfolder_wf_install(self.context)

        # SpontaneousMailFolder workflow
        from Products.MisillWorkflowEngine.Workflows.SpontaneousMailFolderWorkflow import \
            spontaneousMailFolderWorkflowInstall
        spontaneousMailFolderWorkflowInstall(self.context)


def install(self):
    installer = MisillWorkflowEngineInstaller(self)
    installer.install()
    return installer.logResult()
