# Copyright (c) 2004 Nuxeo SARL <http://nuxeo.com>
# Copyright (c) 2004 CGEY <http://cgey.com>
# Copyright (c) 2004 Ministre de L'intrieur (MISILL)
#               <http://www.interieur.gouv.fr/>
# Author: Julien Anguenot <ja@nuxeo.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: FlexibleWorkflowedDocument.py,v 1.4 2004/06/14 16:49:39 anguenot Exp $

__author__ = "Julien Anguenot <ja@nuxeo.com>"

""" Misill Workflow Dynamque document
"""

from Globals import InitializeClass

from Products.CPSDocument.CPSDocument import CPSDocument
from Products.CPSCore.CPSBase import CPSBase_adder

from WorkflowManager import WorkflowManager
from WorkflowImportExport import WorkflowImportExport

from Notifications import Notifications

class FlexibleWorkflowedDocument(WorkflowManager,
                                 WorkflowImportExport,
                                 Notifications,
                                 CPSDocument):
    """Flexible Workflowed Document Class
    """

    def __init__(self, id, **kw):
        """Flexible Workflowed Document constructor

        Call the CPSDocument constructor
        and MisillWorkflowManager constructor
        """
        CPSDocument.__init__(self, id, **kw)
        WorkflowManager.__init__(self, **kw)

InitializeClass(FlexibleWorkflowedDocument)

def addFlexibleWorkflowedDocument(container, id, REQUEST=None, **kw):
    """Add a MisillWorkflowDynDocument type
    """
    ob = FlexibleWorkflowedDocument(id, **kw)
    return CPSBase_adder(container, ob, REQUEST=REQUEST)
