from Testing import ZopeTestCase
from Products.CPSDefault.tests import CPSTestCase

ZopeTestCase.installProduct('CPSSubscriptions')
ZopeTestCase.installProduct('CPSInstaller')

from Products.ExternalMethod.ExternalMethod import ExternalMethod

MisillWorkflowEngineTestCase = CPSTestCase.CPSTestCase

class MisillWorkflowEngineInstaller(CPSTestCase.CPSInstaller):
    def addPortal(self, id):
        """Override the Default addPortal method installing
        a Default CPS Site.

        Will launch the external method for complusory products too
        """

        # CPS Default Site
        factory = self.app.manage_addProduct['CPSDefault']
        factory.manage_addCPSDefaultSite(id,
                                         root_password1="passwd",
                                         root_password2="passwd",
                                         langs_list=['fr', 'en'])

        portal = getattr(self.app, id)

        # Install the CPSSubscriptions product
        if 'cpssubscriptions_installer' not in portal.objectIds():
            cpssubscriptions_installer = ExternalMethod('cpsubscriptions_installer',
                                                        '',
                                                        'CPSSubscriptions.install',
                                                        'install')
            portal._setObject('cpssubscriptions_installer', cpssubscriptions_installer)
        portal.cpssubscriptions_installer()

        # Install the MisillWorkflowEngine product
        misill_workflow_engine_installer = ExternalMethod('misill_workflow_engine_installer',
                                                          '',
                                                          'MisillWorkflowEngine.install',
                                                          'install')
        portal._setObject('misill_workflow_engine_installer', misill_workflow_engine_installer)
        portal.misill_workflow_engine_installer()

CPSTestCase.setupPortal(PortalInstaller=MisillWorkflowEngineInstaller)
